Subject: Re: [PATCH v2 net-next 5/9] psp: add unprivileged version of psp_device_get_locked

From: Jakub Kicinski <[email-masked]>
Date: Fri, 6 Mar 2026 13:34:52 -0800

On Wed, 04 Mar 2026 18:41:09 -0500 Willem de Bruijn wrote:
>  [...]  
>  [...]  
>  [...]  
>  [...]  
> > 
> > Agree. And the current set of privileged operations should only include: dev-set, key-rotation.
> > All others should be unprivileged I think...
> > (The get-stats command which I should make sure they are called with unpriv = true. I will change that in the next version.)
> >   
> > >
> > > well, now that I sent that I realize that criteria is so broad to
> > > include things like rx-assoc and tx-assoc, which obviously need to be
> > > unprivileged :(  
> > 
> > Yes. tx-assoc and rx-assoc are currently implemented as unprivileged. They call psp_assoc_device_get_locked() which currently calls psp_dev_check_access() with unpriv = true.  
> 
> Consider a more descriptive monitor than unprivileged too. As is, it's
> not clear what privilege or capability is implied.
> 
> Perhaps just assoc_allowed?

Sorry for chiming in late. Maybe things would be more intuitive if 
we flipped the logic and called the arg/functions "admin" instead
"unpriv" ?